
Ruby - Feature #767

Module#const_getでネストした定数の値を得られてもよいと思う

11/21/2008 08:18 AM - rubikitch (rubikitch .)

Status: Rejected   

Priority: Normal   

Assignee: matz (Yukihiro Matsumoto)   

Target version: 2.0.0   

Description

=begin

Object#const_getでネストした定数を得られてもいいと思うのですが、どうでしょうか？

def my_const_get(name)

name.split(/::/).inject(Object){|o,c| o.const_get(c) }

end

my_const_get "File::Stat" # => File::Stat

Object.const_get "File::Stat" rescue $!

=> #<NameError: wrong constant name File::Stat>

=end

Related issues:

Is duplicate of Ruby - Feature #5690: Module#qualified_const_get Closed

History

#1 - 11/21/2008 07:24 PM - matz (Yukihiro Matsumoto)

=begin

まつもと ゆきひろです

In message "Re: [ruby-dev:37132] [Feature #767] Module#const_getでネストした定数の値を得られてもよいと思う"

on Fri, 21 Nov 2008 08:14:31 +0900, "rubikitch ." redmine@ruby-lang.org writes:

|Feature #767: Module#const_getでネストした定数の値を得られてもよいと思う

|Object#const_getでネストした定数を得られてもいいと思うのですが、どうでしょうか？

うーん、それが便利なことがあるのは認めますが、「あるクラスに

所属する定数」という概念を疎外する結果にもなりませんか？

=end

#2 - 11/29/2008 04:40 PM - ko1 (Koichi Sasada)

- Assignee set to matz (Yukihiro Matsumoto)

=begin

=end

#3 - 12/11/2008 11:42 AM - yugui (Yuki Sonoda)

- Target version set to 2.0.0

=begin

=end

#4 - 10/11/2009 01:24 AM - naruse (Yui NARUSE)

- Status changed from Open to Rejected

=begin

=end
